<template>
  <div class="col-md-3">
    <router-link style="text-decoration: none" :to="`movies/${idMovie}`">
      <div href="/fooRoute" class="card">
        <div class="card-img">
          <img :src="movie.poster_path" />
        </div>
        <div class="card-fecha">
          <span class="fecha">{{ movie.release_date.substring(0, 4) }}</span>
          <div class="score">
            <v-rating
              v-model="rating"
              length="1"
              background-color="yellow"
              color="yellow accent-4"
              size="20"
              dense
            ></v-rating>
            <span>
            {{ movie.vote_average }}
            </span>
          </div>
        </div>
        <h4 class="title">{{ movie.title }}</h4>
      </div>
    </router-link>
  </div>
</template>

<script>
import Movie from '@/models/Movie'
export default {
  props: {
    movie: {
      required: true,
      type: Movie
    },
    idMovie: String
  },
  data () {
    return {
      rating: 1
    }
  }
}
</script>
